Loading...
Searching...
No Matches
ladspa::PluginListStore::Columns Class Reference

`#include <ladspalist.h>`

Inheritance diagram for ladspa::PluginListStore::Columns:

## Public Member Functions

| Columns ()

## Public Attributes

Gtk::TreeModelColumn< Glib::ustring > | name
Gtk::TreeModelColumn< bool > | active
Gtk::TreeModelColumn< PluginDesc * > | pdesc

## Detailed Description

Definition at line 65 of file ladspalist.h.

## Constructor & Destructor Documentation

## Columns()

ladspa::PluginListStore::Columns::Columns | ( |  | ) |

inline

Definition at line 70 of file ladspalist.h.

## Member Data Documentation

## active

Gtk::TreeModelColumn<bool> ladspa::PluginListStore::Columns::active

Definition at line 68 of file ladspalist.h.

Referenced by Columns().

## name

Gtk::TreeModelColumn<Glib::ustring> ladspa::PluginListStore::Columns::name

Definition at line 67 of file ladspalist.h.

Referenced by Columns().

## pdesc

Gtk::TreeModelColumn<PluginDesc*> ladspa::PluginListStore::Columns::pdesc

Definition at line 69 of file ladspalist.h.

Referenced by Columns().

The documentation for this class was generated from the following file:

- src/headers/ladspalist.h